Last Comment Bug 751679 - Update AUS server for Thunderbird
: Update AUS server for Thunderbird
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 15.0
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks: 750649
  Show dependency treegraph
 
Reported: 2012-05-03 12:57 PDT by Mark Banner (:standard8)
Modified: 2012-05-25 03:04 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed
13+
fixed


Attachments
The fix (885 bytes, patch)
2012-05-03 12:57 PDT, Mark Banner (:standard8)
mozilla: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
standard8: approval‑comm‑esr10+
Details | Diff | Review

Description Mark Banner (:standard8) 2012-05-03 12:57:47 PDT
Created attachment 620823 [details] [diff] [review]
The fix

As we're moving across from the old MoMo hardware to the hardware Firefox uses, we need to update the app.update.url appropriately.

aus3.mozilla.org is currently kept up to date by syncing our snippets across from the old server. aus3 is the new one we need to point to.

Hence the old and new will be kept in sync. When we switch the trunk automation, only aus3 will be kept up to date. This means that users on nightlies will need to go to one of the last builds on the old server, and then pick up the url for the new server.

However, once the full migration is complete, we'll redirect the hits to the old aus server direct to aus3, hence it won't then matter which url old users have.

Attached is the patch to change the url, I'm doing final tests at the moment.
Comment 1 David :Bienvenu 2012-05-03 13:06:08 PDT
Comment on attachment 620823 [details] [diff] [review]
The fix

looks fine, assuming tests pass.
Comment 2 Mark Banner (:standard8) 2012-05-03 13:40:44 PDT
Tests passed, so I pushed this:

https://hg.mozilla.org/comm-central/rev/70ea52e442be
Comment 3 Mark Banner (:standard8) 2012-05-07 11:30:53 PDT
Comment on attachment 620823 [details] [diff] [review]
The fix

[Triage Comment]
We're now ready for this on the aurora branch.
Comment 4 Mark Banner (:standard8) 2012-05-07 11:33:14 PDT
Checked in:

https://hg.mozilla.org/releases/comm-aurora/rev/15ce0035b803
Comment 5 Mark Banner (:standard8) 2012-05-10 09:11:58 PDT
Comment on attachment 620823 [details] [diff] [review]
The fix

[Triage Comment]
We also want this for beta and esr.
Comment 6 Mark Banner (:standard8) 2012-05-10 09:14:57 PDT
Checked into beta:

https://hg.mozilla.org/releases/comm-beta/rev/b4e8ce60d23f
Comment 7 Joe Sabash [:JoeS1] 2012-05-10 17:34:18 PDT
Received complete update for Mozilla/5.0 (Windows NT 5.1; rv:14.0) Gecko/20120510 Thunderbird/14.0a2 ID:20120510042005
Will verify the other branches as they become available.
Comment 8 Mark Banner (:standard8) 2012-05-25 03:04:02 PDT
Landed on esr a while ago:

https://hg.mozilla.org/releases/comm-esr10/rev/244464e15a7e

Note You need to log in before you can comment on or make changes to this bug.